/******************************************************************************
 *  Headerdatei FuseMap.H
 *  Deklariert die Funktion FuseMap() fr das Programm GalAsm, den Logic-
 *  Compiler / -Assembler zur Erstellung einer JEDEC-Datei
 *  fr die GAL-Programmierung.
 *
 *  Version               1.0
 *  Erstellt am           16.08.1990
 *  Letzte nderung am    10.12.1990
 *  Verwendeter Compiler: Lattice C for Atari ST, Ver 3.04
 *
 *  (c) Volker Bosch, Kaiserstrae 49, 7000 Stuttgart 70, (0711)454859
 *
 *  Bentigte Headerdateien: GalAsm.H      Makros und Def. der Var.'typen
 *                           GalGlVar.H    Deklaration der globalen Variablen
 *
 *  Bentigte C-Module:      GalGlVar.C    Definition der globalen Variablen
 *
 *****************************************************************************/


/*------------------------------------------------------------------------
 |  Funktion FuseMap()
 |  Mit Hilfe der Zuordnugstabelle Pinnummer <-> Matrixzeile und dem vom
 |  Parser erzeugten Feld die Fusemap berechnen. Gleichzeitig Porduktterm-
 |  freigabebits der nichtbentigten Produktterme lschen. Fusemap direkt
 |  in die Zieldatei eintragen.
 |  Produkttermfreigabebits und OLMC-Konfigurationsbits eintragen.
 |  Fehlercodes:
 */
#define  FUSEMAP_ERR        50000L     /* Basis-Fehlernummer von FuseMap() */
#define  PARSER_TAB_FEHLER    300L     /* Fehlerhafte Parser-Tabelle */
 /*
  *------------------------------------------------------------------------*/

extern long FuseMap(void);

