/******************************************************************************
 *  Headerdatei GalGlVar.H
 *
 *  Deklaration der globalen Variablen.
 *  Die globalen Variablen werden in der Datei GalGlVar.C definiert.
 *
 *  Fr GALASM.C, dem Logic-Compiler / -Assembler zur Erstellung einer
 *  JEDEC-Datei fr die GAL-Programmierung.
 *
 *  Version               1.1
 *  Erstellt am           11.08.1990
 *  Letzte nderung am    22.12.1990
 *  Verwendeter Compiler: Lattice C for Atari ST, Ver 3.04
 *
 *  (c) Volker Bosch, Kaiserstrae 49, 7000 Stuttgart 70, (0711)454859
 *
 *****************************************************************************/

/* Globale Variablen */

extern int GalTyp;       /* enthlt den Typ des zu programmierenden GALs */
extern int GndPin;       /* Nummer des Masse-Pins */
extern int VccPin;       /* Nummer des Versorgungsspannungs-Pins */
extern int OEPin;        /* Nummer des Output-Enable-Pins */
extern int ClkPin;       /* Nummer des Takt-Pins */
extern int AnzPins;      /* Anzahl Pins an diesem Baustein */
extern int LetztEingPin; /* ab diesem Pin folgen die 8 IOs */
extern int SpOLMC0;      /* Pos Spalte der OLMC Nr 0 */
extern int SpOLMC7;      /* Pos Spalte der OLMC Nr 0 */
extern int AnzSpalten;   /* Anzahl der Spalten in Logikmatrix */
extern int AdrXORBits;   /* Adresse des ersten XOR-Bits in JEDEC-Datei */
extern int AdrSigBits;   /* Adresse des ersten Signatur-Bits in JEDEC-Datei */
extern int AdrAC1Bits;   /* Adresse des ersten AC1-Bits in JEDEC-Datei */
extern int AdrPTFBits;   /* Adresse des ersten PTS-Bits in JEDEC-Datei */
extern int AdrSynBit;    /* Adresse des Syn-Bits in JEDEC-Datei */
extern int AdrAC0Bit;    /* Adresse des AC0-Bits in JEDEC-Datei */


extern int Warten;       /* Globales Flag, nach Fehlermeldung warten */

extern char SynBit;               /* Fr die Programmierung der OLMCs */
extern char AC0Bit;               /*        -     "    -              */
extern char AC1Bits[AUSGAENGE];   /*        -     "    -              */


extern int ClkinMatrix;    /* Flag, zeigt an, da Clockeingang Pin 1 auf Logik-
                              matrix gefhrt werden mu */
extern int OEinMatrix;     /* Flag, zeigt an, da das OE Signal, Pin 11
                              (GAL 16V8) bzw Pin 13 (GAL 20V8) auf die Logik-
                              Matrix gefhrt werden mu. */

extern int P14inMatrix;   /* Flag, zeigt an, da bei GAL20V8 Eingang Pin 14
                             auf Logikmatrix gefhrt werden mu */
extern int P23inMatrix;   /* Flag, zeigt an, da bei GAL20V8 Pin 23
                             auf die Logikmatrix gefhrt werden mu. */


extern char OEMatSp;  /* Nummer der zugeh. Matrixspalte falls Eing. bentigt */
extern char ClkMatSp; /*                     -     "     -                   */
extern char P14MatSp; /*                -     "     -      nur fr Gal 20V8  */
extern char P23MatSp; /*                -     "     -      nur fr Gal 20V8  */

extern int QuellZeilNr;   /* Zhler fr die aktuelle Zeile der Quelldatei */

extern struct EingStructTyp Eingaenge[EINGAENGE];
extern struct AusgStructTyp Ausgaenge[AUSGAENGE];

/*-------------------------------
 | Feld, in welches der Parser bei der Analyse der Produktterme fr jeden
 | Ausgang die Verknpfung der Signale eintrgt.
 | Zugeordnet werden jedem Ausgang soviele Felder von Bytes, wie
 | dieser Ausgang Produkte in seinem Produktterm besitzt.
 | Die Felder sind solang, wie die Logikmatrix breit (max. Anzahl von Spalten).
 | In das Feld werden die Pinnummern der bentigten Signale nach folgendem
 | Schema eingetragen:  0 => kein Signal (Fuse nicht gebrannt)
 |                     +x => Verbindung zu Signal von Pin x
 |                     -x => Verbingung zu invertiertem Signal von Pin x
 *------------------------------------------------------------------------*/
extern char LogikMatrix[AUSGAENGE][ANZ_PROD][MAX_ANZ_SPALTEN];


/* Liste der Spaltennummern in Logikmatrix fr jeden Pin, norm. Signale */
extern int PosPinInSp[MAX_PIN];
/* Liste der Spaltennummern in Logikmatrix fr jeden Pin, inv. Signale */
extern int InvPinInSp[MAX_PIN];


/* Fr jeden Ausgang acht Produkttermfreigabebits */
extern char ProdTermFreig[AUSGAENGE][ANZ_PROD];


extern FILE *QuellFP;          /* Filepointer Quelldatei */
extern FILE *ZielFP;           /* Filepointer Zieldatei */
extern FILE *ProtFP;           /* Filepointer Protokolldatei */
extern FILE *ErrFP;            /* Filepointer der Fehlertextdatei */

extern char *Buffer;           /* Puffer fr Stringoperationen */

extern char *ErrDatNam;        /* Name der Fehlertextdatei */



extern char UserElSig[UES_LEN+1];    /* String, nimmt die UES auf */

